Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.metadata
Class ManagedResource

    java.lang.Object
      org.springframework.jmx.export.metadata.AbstractJmxAttribute
          org.springframework.jmx.export.metadata.ManagedResource

    public class ManagedResource

extends AbstractJmxAttribute

Metadata indicating that instances of an annotated class are to be registered with a JMX server. Only valid when used on a `Class`.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  `MetadataMBeanInfoAssembler`, `MetadataNamingStrategy`, `MBeanExporter`

Constructor Summary
`ManagedResource()`

Method Summary
`java.lang.String` | `getLogFile()`
`java.lang.String` | `getObjectName()` Return the JMX ObjectName of this managed resource.
`java.lang.String` | `getPersistLocation()`
`java.lang.String` | `getPersistName()`
`int` | `getPersistPeriod()`
`java.lang.String` | `getPersistPolicy()`
`boolean` | `isLog()`
`void` | `setLog(boolean log)`
`void` | `setLogFile(java.lang.String logFile)`
`void` | `setObjectName(java.lang.String objectName)` Set the JMX ObjectName of this managed resource.
`void` | `setPersistLocation(java.lang.String persistLocation)`
`void` | `setPersistName(java.lang.String persistName)`
`void` | `setPersistPeriod(int persistPeriod)`
`void` | `setPersistPolicy(java.lang.String persistPolicy)`

Methods inherited from class org.springframework.jmx.export.metadata.AbstractJmxAttribute
`getCurrencyTimeLimit, getDescription, setCurrencyTimeLimit, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedResource

    public ManagedResource()

Method Detail

### setObjectName

    public void setObjectName(java.lang.String objectName)

  Set the JMX ObjectName of this managed resource.

### getObjectName

    public java.lang.String getObjectName()

  Return the JMX ObjectName of this managed resource.

### setLog

    public void setLog(boolean log)

### isLog

    public boolean isLog()

### setLogFile

    public void setLogFile(java.lang.String logFile)

### getLogFile

    public java.lang.String getLogFile()

### setPersistPolicy

    public void setPersistPolicy(java.lang.String persistPolicy)

### getPersistPolicy

    public java.lang.String getPersistPolicy()

### setPersistPeriod

    public void setPersistPeriod(int persistPeriod)

### getPersistPeriod

    public int getPersistPeriod()

### setPersistName

    public void setPersistName(java.lang.String persistName)

### getPersistName

    public java.lang.String getPersistName()

### setPersistLocation

    public void setPersistLocation(java.lang.String persistLocation)

### getPersistLocation

    public java.lang.String getPersistLocation()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD